Bug 492133 - (mingw-libglade2) Review Request: mingw32-libglade2 - MinGW Windows Libglade2 library
Review Request: mingw32-libglade2 - MinGW Windows Libglade2 library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 11:02 EDT by Thomas Sailer
Modified: 2009-05-09 00:05 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.6.4-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 21:10:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kalevlember: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2009-03-25 11:02:50 EDT
Spec URL: http://sailer.fedorapeople.org/mingw32-libglade2.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-libglade2-2.6.3-5.fc11.src.rpm
Description:
MinGW Windows Libglade2 library

This is Richard M.W. Jones unmodified spec file.

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Kalev Lember 2009-04-15 17:02:27 EDT
Some quick notes:

- The corresponding Fedora libglade2 package is now at version 2.6.4, and according to MinGW packaging guidelines the versions should match native package if possible.

- Native libglade2-2.6.4-1 package has an additional libglade-secondary.patch which is probably useful to the mingw32 package too.

- New, recently updated Fedora Packaging Guidelines prefer %global macro over %define:
https://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define

- Static libraries (libglade-2.0.a) need to go in a -static subpackage.

- HTML documentation in %{_mingw32_datadir}/gtk-doc/html/libglade duplicates the one in native Fedora package and according to MinGW packaging guidelines it should be removed.
Comment 2 Thomas Sailer 2009-04-16 05:16:49 EDT
Thanks.

Update according to your comments:
Spec URL: http://sailer.fedorapeople.org/mingw32-libglade2.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-libglade2-2.6.4-1.fc11.src.rpm
Comment 3 Kalev Lember 2009-04-16 08:40:59 EDT
Taking for review.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1302131

Rpmlint output contains only expected warnings/errors from a Mingw32 package:

$ rpmlint mingw32-libglade2-2.6.4-1.fc11.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-libglade2-2.6.4-1.fc11.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-libglade2-static-2.6.4-1.fc11.noarch.rpm
mingw32-libglade2-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libglade-2.0.a
mingw32-libglade2-static.noarch: W: no-documentation
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
Comment 4 Kalev Lember 2009-04-16 09:15:57 EDT
Fedora review mingw32-libglade2-2.6.4-1.fc11.src.rpm 2008-04-16

+ OK
! needs attention


+ rpmlint output
  Only expected Errors/Warnings from a Mingw32 package
+ Package is named according to Fedora MinGW packaging guidelines
+ Specfile name matches the package base name
! Package follows the Fedora MinGW packaging guidelines

  Right now static subpackage's requires line is:
  Requires:       %{name} = %{version}

  But instead it should read:
  Requires:       %{name} = %{version}-%{release}

+ License meets guidelines and is acceptable to Fedora
  LGPLv2+
+ License matches the actual package license
  It is also the same as in the corresponding Fedora libglade2 package
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm
  d1776b40f4e166b5e9c107f1c8fe4139  libglade-2.6.4.tar.bz2
  d1776b40f4e166b5e9c107f1c8fe4139  SRPM/libglade-2.6.4.tar.bz2

+ Package builds in mock (Fedora Rawhide i586)
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
+ Static libraries should be in -static
+ Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
    Fedora MinGW guidelines allow .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8
Comment 5 Thomas Sailer 2009-04-16 10:25:49 EDT
Fixed the -static Requires:

Spec URL: http://sailer.fedorapeople.org/mingw32-libglade2.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-libglade2-2.6.4-2.fc11.src.rpm
Comment 6 Kalev Lember 2009-04-16 10:37:01 EDT
Package approved.
Comment 7 Thomas Sailer 2009-04-16 10:41:57 EDT
New Package CVS Request
=======================
Package Name: mingw32-libglade2
Short Description: MinGW Windows Libglade2 library
Owners: sailer rjones
Branches: F-10 F-11
InitialCC:
Comment 8 Kevin Fenzi 2009-04-17 12:44:37 EDT
cvs done.
Comment 9 Fedora Update System 2009-04-17 16:56:49 EDT
mingw32-libglade2-2.6.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-libglade2-2.6.4-2.fc11
Comment 10 Fedora Update System 2009-04-17 16:57:28 EDT
mingw32-libglade2-2.6.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-libglade2-2.6.3-1.fc10
Comment 11 Fedora Update System 2009-04-21 21:10:33 EDT
mingw32-libglade2-2.6.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-09 00:05:02 EDT
mingw32-libglade2-2.6.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.